Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicStatusBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.jdesktop.swingx.plaf.StatusBarUI
              org.jdesktop.swingx.plaf.basic.BasicStatusBarUI

Direct Known Subclasses:
  MacOSXStatusBarUI, MetalStatusBarUI, WindowsClassicStatusBarUI, WindowsStatusBarUI

    public class BasicStatusBarUI

extends StatusBarUI

Author:
  rbair, Karl Schaefer

Field Summary
`static java.lang.String` | `AUTO_ADD_SEPARATOR`
`protected java.awt.event.MouseListener` | `mouseListener`
`protected java.awt.event.MouseMotionListener` | `mouseMotionListener`
`protected java.beans.PropertyChangeListener` | `propertyChangeListener`
`protected JXStatusBar` | `statusBar` The one and only JXStatusBar for this UI delegate

Constructor Summary
`BasicStatusBarUI()` Creates a new instance of BasicStatusBarUI

Method Summary
`protected javax.swing.plaf.BorderUIResource` | `createBorder()`
`protected java.awt.LayoutManager` | `createLayout()`
`protected java.awt.event.MouseListener` | `createMouseListener()` Creates a `MouseListener` which will be added to the status bar.
`protected java.awt.event.MouseMotionListener` | `createMouseMotionListener()` Creates a `MouseMotionListener` which will be added to the status bar.
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()` Creates a `PropertyChangeListener` which will be added to the status bar.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)` Returns an instance of the UI delegate for the specified component.
`protected java.awt.Insets` | `getSeparatorInsets(java.awt.Insets insets)`
`protected int` | `getSeparatorWidth()`
`protected boolean` | `includeSeparators()`
`protected void` | `installDefaults(JXStatusBar sb)`
`protected void` | `installListeners(JXStatusBar sb)` Create and install the listeners for the status bar.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`protected void` | `paintBackground(java.awt.Graphics2D g, JXStatusBar bar)`
`protected void` | `paintSeparator(java.awt.Graphics2D g, JXStatusBar bar, int x, int y, int w, int h)`
`protected void` | `uninstallDefaults(JXStatusBar sb)`
`protected void` | `uninstallListeners(JXStatusBar sb)` Remove the installed listeners from the status bar.
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_ADD_SEPARATOR

    public static final java.lang.String AUTO_ADD_SEPARATOR

### statusBar

    protected JXStatusBar statusBar

  The one and only JXStatusBar for this UI delegate

### mouseListener

    protected java.awt.event.MouseListener mouseListener

### mouseMotionListener

    protected java.awt.event.MouseMotionListener mouseMotionListener

### propertyChangeListener

    protected java.beans.PropertyChangeListener propertyChangeListener

Constructor Detail

### BasicStatusBarUI

    public BasicStatusBarUI()

  Creates a new instance of BasicStatusBarUI

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### installDefaults

    protected void installDefaults(JXStatusBar sb)

### createMouseListener

    protected java.awt.event.MouseListener createMouseListener()

  Creates a `MouseListener` which will be added to the status bar. If this method returns null then it will not be added to the status bar.

  Subclasses may override this method to return instances of their own MouseEvent handlers.

  Returns:
    an instance of a `MouseListener` or null

### createMouseMotionListener

    protected java.awt.event.MouseMotionListener createMouseMotionListener()

  Creates a `MouseMotionListener` which will be added to the status bar. If this method returns null then it will not be added to the status bar.

  Subclasses may override this method to return instances of their own MouseEvent handlers.

  Returns:
    an instance of a `MouseMotionListener` or null

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

  Creates a `PropertyChangeListener` which will be added to the status bar. If this method returns null then it will not be added to the status bar.

  Subclasses may override this method to return instances of their own PropertyChangeEvent handlers.

  Returns:
    an instance of a `PropertyChangeListener` or null

### installListeners

    protected void installListeners(JXStatusBar sb)

  Create and install the listeners for the status bar. This method is called when the UI is installed.

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### uninstallDefaults

    protected void uninstallDefaults(JXStatusBar sb)

### uninstallListeners

    protected void uninstallListeners(JXStatusBar sb)

  Remove the installed listeners from the status bar. The number and types of listeners removed in this method should be the same that were added in `installListeners`

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `javax.swing.plaf.ComponentUI`

### paintBackground

    protected void paintBackground(java.awt.Graphics2D g,
                                   JXStatusBar bar)

### paintSeparator

    protected void paintSeparator(java.awt.Graphics2D g,
                                  JXStatusBar bar,
                                  int x,
                                  int y,
                                  int w,
                                  int h)

### getSeparatorInsets

    protected java.awt.Insets getSeparatorInsets(java.awt.Insets insets)

### getSeparatorWidth

    protected int getSeparatorWidth()

### includeSeparators

    protected boolean includeSeparators()

### createBorder

    protected javax.swing.plaf.BorderUIResource createBorder()

### createLayout

    protected java.awt.LayoutManager createLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.